=== src/lib/CMakeLists.txt ===
add_subdirectory(libint)
add_subdirectory(libderiv)
add_subdirectory(lib3index)
add_subdirectory(libchkpt)
add_subdirectory(libciomr)
add_subdirectory(libdiis)
add_subdirectory(libdisp)
add_subdirectory(libdpd)
add_subdirectory(libfock)
add_subdirectory(libfunctional)
add_subdirectory(libiwl)
add_subdirectory(libmints)
add_subdirectory(libmoinfo)
add_subdirectory(liboptions)
add_subdirectory(libparallel)
add_subdirectory(libplugin)
add_subdirectory(libpsio)
add_subdirectory(libqt)
add_subdirectory(libsapt_solver)
add_subdirectory(libscf_solver)
add_subdirectory(libthce)
add_subdirectory(libtrans)
add_subdirectory(libutil)
