=== src/bin/adc/CMakeLists.txt ===
set(SRC adc.cc adc_main.cc amps_write.cc compute_energy.cc construct_sigma.cc denominator.cc diagonalize.cc differentiation.cc init_tensors.cc prepare_tensors.cc)
add_library(adc ${SRC})
add_dependencies(adc mints)
