=== src/bin/mrcc/CMakeLists.txt ===
set(SRC mrcc.cc)
add_library(mrcc ${SRC})
add_dependencies(mrcc mints)
