=== src/lib/libdisp/CMakeLists.txt ===
set(SRC dispersion.cc)
add_library(disp ${SRC})
add_dependencies(disp mints)
