=== src/lib/libutil/CMakeLists.txt ===
set(SRC combinations.cc exception.cc memory_manager.cc quad.cc stl_string.cc)
add_library(util ${SRC})
