=== src/bin/CMakeLists.txt ===
add_subdirectory(adc)
add_subdirectory(ccdensity)
add_subdirectory(ccenergy)
add_subdirectory(cceom)
add_subdirectory(cchbar)
add_subdirectory(cclambda)
add_subdirectory(ccresponse)
add_subdirectory(ccsort)
add_subdirectory(cctriples)
add_subdirectory(dcft)
add_subdirectory(deriv_wrapper)
add_subdirectory(detci)
add_subdirectory(dfmp2)
add_subdirectory(dftsapt)
add_subdirectory(findif)
add_subdirectory(fnocc)
add_subdirectory(mcscf)
add_subdirectory(mints_wrapper)
add_subdirectory(mrcc)
add_subdirectory(occ)
add_subdirectory(optking)
add_subdirectory(psimrcc)
add_subdirectory(sapt)
add_subdirectory(scf)
add_subdirectory(scfgrad)
add_subdirectory(stable)
add_subdirectory(thermo)
add_subdirectory(transqt)
add_subdirectory(transqt2)
add_subdirectory(psi4)
