=== src/bin/ccenergy/CMakeLists.txt ===
set(SRC amp_write.cc analyze.cc AO_contribute.cc BT2.cc BT2_AO.cc cache.cc cc2_faeT2.cc cc2_fmiT2.cc cc2_t2.cc cc2_Wabei.cc cc2_WabeiT2.cc cc2_WabijT2.cc cc2_Wmbij.cc cc2_WmbijT2.cc cc2_Wmnij.cc cc3.cc cc3_Wabei.cc cc3_Wamef.cc cc3_Wmbij.cc cc3_Wmnie.cc cc3_Wmnij.cc ccenergy.cc converged.cc CT2.cc d1diag.cc d2diag.cc denom.cc diagnostic.cc diis.cc diis_RHF.cc diis_ROHF.cc diis_UHF.cc dijabT2.cc DT2.cc energy.cc ET2.cc Fae.cc FaetT2.cc Fme.cc Fmi.cc FmitT2.cc fock_build.cc FT2.cc FT2_cc2.cc get_moinfo.cc get_params.cc halftrans.cc init_amps.cc lmp2.cc local.cc mp2_energy.cc new_d1diag.cc pair_energies.cc priority.cc rotate.cc sort_amps.cc spinad_amps.cc status.cc t1.cc t2.cc tau.cc taut.cc tsave.cc update.cc Wmbej.cc WmbejT2.cc Wmnij.cc WmnijT2.cc Z.cc ZT2.cc)
add_library(ccenergy ${SRC})
add_dependencies(ccenergy mints)
