=== src/bin/cclambda/CMakeLists.txt ===
set(SRC BL2_AO.cc c_clean.cc cache.cc cc2_faeL2.cc cc2_fmiL2.cc cc2_Gai.cc cc2_hbar_extra.cc cc2_L1.cc cc2_L2.cc cc3_l3l1.cc cc3_l3l2.cc cc3_t3x.cc cc3_t3z.cc cclambda.cc check_ortho.cc check_sum.cc converged.cc denom.cc diis.cc dijabL2.cc DL2.cc FaeL2.cc FmiL2.cc G.cc get_moinfo.cc get_params.cc GL2.cc halftrans.cc hbar_extra.cc init_amps.cc L1.cc L1FL2.cc L2.cc L3_AAA.cc L3_AAB.cc Lamp_write.cc Lmag.cc Lnorm.cc local.cc Lsave.cc ortho_Rs.cc overlap.cc overlap_LAMPS.cc projections.cc pseudoenergy.cc sort_amps.cc spinad_amps.cc status.cc update.cc WabeiL1.cc WefabL2.cc WejabL2.cc WijmbL2.cc WijmnL2.cc WmbejL2.cc)
add_library(cclambda ${SRC})
