=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_BUILD_MULTIARCH=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)

export PSI_SCRATCH=$(CURDIR)/tmp-scratch
export SCRATCH=$(CURDIR)/tmp-scratch

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_clean:
	dh_auto_clean --builddirectory=builddir
	find $(CURDIR) -name "*.pyc" -delete
	$(RM) -r tmp-scratch

override_dh_auto_configure:
	dh_auto_configure --builddirectory=builddir -- --docdir=/usr/share/doc/psi4 --with-boost-system --with-boost-libdir=/usr/lib/$(DEB_BUILD_MULTIARCH)

override_dh_auto_build:
	dh_auto_build --builddirectory=builddir
	(cd builddir/doc; $(MAKE))

override_dh_auto_install-arch:
	dh_auto_install --builddirectory=builddir
	$(RM) debian/tmp/usr/share/psi/databases/*.pyc
	cp samples/example_psi4rc_file debian/psi4/usr/share/doc/psi4/psi4rc.example

override_dh_auto_install-indep:
	for i in tu1-h2o-energy tu2-ch2-energy tu3-h2o-opt tu4-h2o-freq \
	tu5-sapt castup1 scf1 scf2 scf3 scf5 scf-guess-read dft1 dfmp2-1 \
	cc1 cc2 cc3 cc4 cc8 cc8a cc12 \
	cc15 cc16 cc17 cc18 cc19 cc23 cc24 cc28 cc32 cc49 \
	fci-dipole cisd-h2o+-0 ci-multi \
	cisd-opt-fd rasci-h2o mpn-bh \
	mcscf1 sapt1 sad1 \
	psimrcc-sp1 mints1 mints2 matrix1 opt1 opt1-fd gibbs omp2-2 \
	omp3-1 omp2_5-2 ocepa1 fnocc2 fnocc4 \
	mp2_5-grad1 ocepa-grad2 omp2-grad1 \
	dcft1 dcft2 dcft3 dcft4 pywrap-db1 pywrap-db2 pywrap-cbs1 pywrap-all pywrap-alias \
	pywrap-checkrun-rhf pywrap-freq-e-sowreap; \
		do cp samples/$$i/input.dat \
		$(CURDIR)/debian/psi4-data/usr/share/doc/psi4/examples/$$i.dat; \
	done
	(cd builddir/doc; $(MAKE) install DESTDIR=$(CURDIR)/debian/psi4-data)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	-(cd builddir/tests; $(MAKE) quicktests)
endif
